import sys
import sha

def generateMicroID(firsturi, seconduri):
	m = sha.new()
	m.update(firsturi)		
	firsturihash = m.hexdigest()
			
	m = sha.new()
	m.update(seconduri)
	secondurihash = m.hexdigest()
			
	m = sha.new()
	m.update(firsturihash + secondurihash)
	finalhash = m.hexdigest()
	
	return finalhash

if __name__ == "__main__":
	if (len(sys.argv) == 3):		
		firsturi = sys.argv[1]
		seconduri = sys.argv[2]
		
		firsturiprotocol = ""
		seconduriprotocol = ""
		
		temp = firsturi.split(":")
		if (temp is not None and len(temp) > 0):
			firsturiprotocol = temp[0]
		
		temp = seconduri.split(":")
		if (temp is not None and len(temp) > 0):
			seconduriprotocol = temp[0]
		
		microidhash = generateMicroID(firsturi, seconduri)
			
		print "\nfirst uri          : %s" % firsturi
		print "second uri         : %s\n" % seconduri
		print "microid hash value : %s" % microidhash
		
		if (firsturiprotocol != "" and seconduriprotocol != ""):
			print "\nmicroid            : %s+%s:sha1:%s" % (firsturiprotocol, seconduriprotocol, microidhash)
	else:
		print "Usage: microid.py firstUri secondUri"
		